library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity ALU is
    Port ( a        : in STD_LOGIC_VECTOR (2 downto 0);
           b        : in STD_LOGIC_VECTOR (2 downto 0);
           Result   : out STD_LOGIC_VECTOR (2 downto 0);
           Carry    : out STD_LOGIC
         );
end entity ALU;

architecture Behavioral of ALU is
signal Result_temp : unsigned(3 downto 0);

begin

Result_temp<=unsigned('0'&a)+unsigned('0'&b);

Result<=std_logic_vector(Result_temp(2 downto 0));
Carry<=Result_temp(3);

end architecture Behavioral;